<?php
/**
 * VW Eco Nature Theme Customizer
 *
 * @package VW Eco Nature
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function vw_eco_nature_customize_register( $wp_customize ) {

	load_template( trailingslashit( get_template_directory() ) . 'inc/customize-homepage/class-customize-homepage.php' );

	//add home page setting pannel
	$wp_customize->add_panel( 'vw_eco_nature_panel_id', array(
	    'priority' => 10,
	    'capability' => 'edit_theme_options',
	    'theme_supports' => '',
	    'title' => __( 'VW Settings', 'vw-eco-nature' ),
	) );

	// Layout
	$wp_customize->add_section( 'vw_eco_nature_left_right', array(
    	'title'      => __( 'General Settings', 'vw-eco-nature' ),
		'panel' => 'vw_eco_nature_panel_id'
	) );

	$wp_customize->add_setting('vw_eco_nature_theme_options',array(
        'default' => __('Right Sidebar','vw-eco-nature'),
        'sanitize_callback' => 'vw_eco_nature_sanitize_choices'
	));
	$wp_customize->add_control('vw_eco_nature_theme_options',array(
        'type' => 'select',
        'label' => __('Post Sidebar Layout','vw-eco-nature'),
        'description' => __('Here you can change the sidebar layout for posts. ','vw-eco-nature'),
        'section' => 'vw_eco_nature_left_right',
        'choices' => array(
            'Left Sidebar' => __('Left Sidebar','vw-eco-nature'),
            'Right Sidebar' => __('Right Sidebar','vw-eco-nature'),
            'One Column' => __('One Column','vw-eco-nature'),
            'Three Columns' => __('Three Columns','vw-eco-nature'),
            'Four Columns' => __('Four Columns','vw-eco-nature'),
            'Grid Layout' => __('Grid Layout','vw-eco-nature')
        ),
	) );

	$wp_customize->add_setting('vw_eco_nature_page_layout',array(
        'default' => __('One Column','vw-eco-nature'),
        'sanitize_callback' => 'vw_eco_nature_sanitize_choices'
	));
	$wp_customize->add_control('vw_eco_nature_page_layout',array(
        'type' => 'select',
        'label' => __('Page Sidebar Layout','vw-eco-nature'),
        'description' => __('Here you can change the sidebar layout for pages. ','vw-eco-nature'),
        'section' => 'vw_eco_nature_left_right',
        'choices' => array(
            'Left Sidebar' => __('Left Sidebar','vw-eco-nature'),
            'Right Sidebar' => __('Right Sidebar','vw-eco-nature'),
            'One Column' => __('One Column','vw-eco-nature')
        ),
	) );

	//Topbar
	$wp_customize->add_section( 'vw_eco_nature_topbar', array(
    	'title'      => __( 'Topbar Settings', 'vw-eco-nature' ),
		'panel' => 'vw_eco_nature_panel_id'
	) );

	$wp_customize->add_setting('vw_eco_nature_location_text',array(
		'default'=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('vw_eco_nature_location_text',array(
		'label'	=> __('Add Location Text','vw-eco-nature'),
		'input_attrs' => array(
            'placeholder' => __( 'LOCATION', 'vw-eco-nature' ),
        ),
		'section'=> 'vw_eco_nature_topbar',
		'type'=> 'text'
	));

	$wp_customize->add_setting('vw_eco_nature_location',array(
		'default'=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('vw_eco_nature_location',array(
		'label'	=> __('Add Location','vw-eco-nature'),
		'input_attrs' => array(
            'placeholder' => __( '828 N. Iqyreesrs Street Liocnss Park', 'vw-eco-nature' ),
        ),
		'section'=> 'vw_eco_nature_topbar',
		'type'=> 'text'
	));

	$wp_customize->add_setting('vw_eco_nature_phone_number_text',array(
		'default'=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('vw_eco_nature_phone_number_text',array(
		'label'	=> __('Add Phone Number Text','vw-eco-nature'),
		'input_attrs' => array(
            'placeholder' => __( 'PHONE', 'vw-eco-nature' ),
        ),
		'section'=> 'vw_eco_nature_topbar',
		'type'=> 'text'
	));

	$wp_customize->add_setting('vw_eco_nature_phone_number',array(
		'default'=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('vw_eco_nature_phone_number',array(
		'label'	=> __('Add Phone Number','vw-eco-nature'),
		'input_attrs' => array(
            'placeholder' => __( '+00 987 654 1230', 'vw-eco-nature' ),
        ),
		'section'=> 'vw_eco_nature_topbar',
		'type'=> 'text'
	));

	$wp_customize->add_setting('vw_eco_nature_email_address_text',array(
		'default'=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('vw_eco_nature_email_address_text',array(
		'label'	=> __('Add Email Address Text','vw-eco-nature'),
		'input_attrs' => array(
            'placeholder' => __( 'EMAIL', 'vw-eco-nature' ),
        ),
		'section'=> 'vw_eco_nature_topbar',
		'type'=> 'text'
	));

	$wp_customize->add_setting('vw_eco_nature_email_address',array(
		'default'=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('vw_eco_nature_email_address',array(
		'label'	=> __('Add Email Address','vw-eco-nature'),
		'input_attrs' => array(
            'placeholder' => __( 'example@gmail.com', 'vw-eco-nature' ),
        ),
		'section'=> 'vw_eco_nature_topbar',
		'type'=> 'text'
	));

	$wp_customize->add_setting('vw_eco_nature_donate_text',array(
		'default'=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('vw_eco_nature_donate_text',array(
		'label'	=> __('Add Button Text','vw-eco-nature'),
		'input_attrs' => array(
            'placeholder' => __( 'DONATE NOW', 'vw-eco-nature' ),
        ),
		'section'=> 'vw_eco_nature_topbar',
		'type'=> 'text'
	));

	$wp_customize->add_setting('vw_eco_nature_donate_url',array(
		'default'=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));
	$wp_customize->add_control('vw_eco_nature_donate_url',array(
		'label'	=> __('Add Button URL','vw-eco-nature'),
		'input_attrs' => array(
            'placeholder' => __( 'www.example.com', 'vw-eco-nature' ),
        ),
		'section'=> 'vw_eco_nature_topbar',
		'type'=> 'text'
	));

	$wp_customize->add_setting('vw_eco_nature_header_search',array(
       'default' => 'false',
       'sanitize_callback'	=> 'sanitize_text_field'
    ));
    $wp_customize->add_control('vw_eco_nature_header_search',array(
       'type' => 'checkbox',
       'label' => __('Show / Hide Search','vw-eco-nature'),
       'section' => 'vw_eco_nature_topbar',
    ));
    
	//Slider
	$wp_customize->add_section( 'vw_eco_nature_slidersettings' , array(
    	'title'      => __( 'Slider Settings', 'vw-eco-nature' ),
		'panel' => 'vw_eco_nature_panel_id'
	) );

	$wp_customize->add_setting('vw_eco_nature_slider_arrows',array(
       'default' => 'false',
       'sanitize_callback'	=> 'sanitize_text_field'
    ));
    $wp_customize->add_control('vw_eco_nature_slider_arrows',array(
       'type' => 'checkbox',
       'label' => __('Show / Hide slider','vw-eco-nature'),
       'section' => 'vw_eco_nature_slidersettings',
    ));

	for ( $count = 1; $count <= 4; $count++ ) {

		$wp_customize->add_setting( 'vw_eco_nature_slider_page' . $count, array(
			'default'           => '',
			'sanitize_callback' => 'vw_eco_nature_sanitize_dropdown_pages'
		) );
		$wp_customize->add_control( 'vw_eco_nature_slider_page' . $count, array(
			'label'    => __( 'Select Slider Page', 'vw-eco-nature' ),
			'description' => __('Slider image size (1500 x 590)','vw-eco-nature'),
			'section'  => 'vw_eco_nature_slidersettings',
			'type'     => 'dropdown-pages'
		) );
	}
    
	//Our Services section
	$wp_customize->add_section( 'vw_eco_nature_services_section' , array(
    	'title'      => __( 'Our Services Settings', 'vw-eco-nature' ),
		'priority'   => null,
		'panel' => 'vw_eco_nature_panel_id'
	) );

	$wp_customize->add_setting('vw_eco_nature_section_title',array(
		'default'=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('vw_eco_nature_section_title',array(
		'label'	=> __('Add Section Title','vw-eco-nature'),
		'input_attrs' => array(
            'placeholder' => __( 'We Are The Savious of planet Earth', 'vw-eco-nature' ),
        ),
		'section'=> 'vw_eco_nature_services_section',
		'type'=> 'text'
	));

	$categories = get_categories();
	$cat_post = array();
	$cat_post[]= 'select';
	$i = 0;	
	foreach($categories as $category){
		if($i==0){
			$default = $category->slug;
			$i++;
		}
		$cat_post[$category->slug] = $category->name;
	}

	$wp_customize->add_setting('vw_eco_nature_our_services',array(
		'default'	=> 'select',
		'sanitize_callback' => 'vw_eco_nature_sanitize_choices',
	));
	$wp_customize->add_control('vw_eco_nature_our_services',array(
		'type'    => 'select',
		'choices' => $cat_post,
		'label' => __('Select Category to display Services','vw-eco-nature'),
		'description' => __('Image Size (80 x 80)','vw-eco-nature'),
		'section' => 'vw_eco_nature_services_section',
	));

	$wp_customize->add_setting( 'vw_eco_nature_about_page' , array(
		'default'           => '',
		'sanitize_callback' => 'vw_eco_nature_sanitize_dropdown_pages'
	) );
	$wp_customize->add_control( 'vw_eco_nature_about_page' , array(
		'label'    => __( 'Select About Page', 'vw-eco-nature' ),
		'section'  => 'vw_eco_nature_services_section',
		'type'     => 'dropdown-pages'
	) );

	//Content Craetion
	$wp_customize->add_section( 'vw_eco_nature_content_section' , array(
    	'title' => __( 'Customize Home Page Settings', 'vw-eco-nature' ),
		'priority' => null,
		'panel' => 'vw_eco_nature_panel_id'
	) );

	$wp_customize->add_setting('vw_eco_nature_content_creation_main_control', array(
		'sanitize_callback' => 'esc_html',
	) );

	$homepage= get_option( 'page_on_front' );

	$wp_customize->add_control(	new VW_Eco_Nature_Content_Creation( $wp_customize, 'vw_eco_nature_content_creation_main_control', array(
		'options' => array(
			esc_html__( 'First select static page in homepage setting for front page.Below given edit button is to customize Home Page. Just click on the edit option, add whatever elements you want to include in the homepage, save the changes and you are good to go.','vw-eco-nature' ),
		),
		'section' => 'vw_eco_nature_content_section',
		'button_url'  => admin_url( 'post.php?post='.$homepage.'&action=edit'),
		'button_text' => esc_html__( 'Edit', 'vw-eco-nature' ),
	) ) );

	//Footer Text
	$wp_customize->add_section('vw_eco_nature_footer',array(
		'title'	=> __('Footer Settings','vw-eco-nature'),
		'panel' => 'vw_eco_nature_panel_id',
	));	
	
	$wp_customize->add_setting('vw_eco_nature_footer_text',array(
		'default'=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('vw_eco_nature_footer_text',array(
		'label'	=> __('Copyright Text','vw-eco-nature'),
		'input_attrs' => array(
            'placeholder' => __( 'Copyright 2019, .....', 'vw-eco-nature' ),
        ),
		'section'=> 'vw_eco_nature_footer',
		'type'=> 'text'
	));	
}

add_action( 'customize_register', 'vw_eco_nature_customize_register' );

/**
 * Singleton class for handling the theme's customizer integration.
 *
 * @since  1.0.0
 * @access public
 */
final class VW_Eco_Nature_Customize {

	/**
	 * Returns the instance.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return object
	 */
	public static function get_instance() {

		static $instance = null;

		if ( is_null( $instance ) ) {
			$instance = new self;
			$instance->setup_actions();
		}

		return $instance;
	}

	/**
	 * Constructor method.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function __construct() {}

	/**
	 * Sets up initial actions.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function setup_actions() {

		// Register panels, sections, settings, controls, and partials.
		add_action( 'customize_register', array( $this, 'sections' ) );

		// Register scripts and styles for the controls.
		add_action( 'customize_controls_enqueue_scripts', array( $this, 'enqueue_control_scripts' ), 0 );
	}

	/**
	 * Sets up the customizer sections.
	 *
	 * @since  1.0.0
	 * @access public
	 * @param  object  $manager
	 * @return void
	*/
	public function sections( $manager ) {

		// Load custom sections.
		load_template( trailingslashit( get_template_directory() ) . '/inc/section-pro.php' );

		// Register custom section types.
		$manager->register_section_type( 'VW_Eco_Nature_Customize_Section_Pro' );

		// Register sections.
		$manager->add_section(
			new VW_Eco_Nature_Customize_Section_Pro(
				$manager,
				'example_1',
				array(
					'priority'   => 9,
					'title'    => esc_html__( 'VW Eco Nature Pro', 'vw-eco-nature' ),
					'pro_text' => esc_html__( 'UPGRADE PRO', 'vw-eco-nature' ),
					'pro_url'  => esc_url('https://www.vwthemes.com/themes/eco-nature-wordpress-theme/'),
				)
			)
		);
	}

	/**
	 * Loads theme customizer CSS.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return void
	 */
	public function enqueue_control_scripts() {

		wp_enqueue_script( 'vw-eco-nature-customize-controls', trailingslashit( get_template_directory_uri() ) . '/assets/js/customize-controls.js', array( 'customize-controls' ) );

		wp_enqueue_style( 'vw-eco-nature-customize-controls', trailingslashit( get_template_directory_uri() ) . '/assets/css/customize-controls.css' );
	}
}

// Doing this customizer thang!
VW_Eco_Nature_Customize::get_instance();